Skip to main content

Interpolation variables

All string properties that list out available variables allow jinja expressions. They can be used by placing them in double curly braces: {{ config.property }}. The following variables are available.

config​

The connector configuration. The object's keys are the same as the the keys defined in the connection specification.

  • type: object

Examples:

start_date: 2010-01-01T00:00:00.000Z
api_key: '*****'

parameters​

Additional runtime parameters, to be used for string interpolation. Parameters can be passed down from a parent component to its subcomponents using the $parameters key. This can be used to avoid repetitions.

  • type: object

Examples:

path: automations
data_export_path: automations
cursor_field: updated_at

headers​

The HTTP headers from the last response received from the API. The object's keys are the header names from the response.

  • type: object

Examples:

Server: nginx
Date: Mon, 24 Apr 2023 20:17:21 GMT
Content-Type: application/json
Content-Length: '420'
Connection: keep-alive
referrer-policy: strict-origin-when-cross-origin
x-content-type-options: nosniff
x-ratelimit-limit: '600'
x-ratelimit-remaining: '598'
x-ratelimit-reset: '39'

request_url​

The URL of the response (the final URL after any redirects), with its query string, fragment and userinfo (user:password@) removed. The path is kept as-is, so do not surface it for APIs that put a credential in the path. Available in HttpResponseFilter's error_message and predicate.

  • type: string

Examples:

https://api.github.com/repos/airbytehq/airbyte/stargazers

last_record​

Last record extracted from the response received from the API.

  • type: object

Examples:

name: 'Test List: 19'
id: 0236d6d2
contact_count: 20
_metadata:
self: https://api.sendgrid.com/v3/marketing/lists/0236d6d2

last_page_size​

Number of records extracted from the last response received from the API.

  • type: object

Examples:

2

next_page_token​

Object describing the token to fetch the next page of records. The object has a single key "next_page_token".

  • type: object

Examples:

next_page_token: 3
next_page_token: https://api.sendgrid.com/v3/marketing/lists/0236d6d2-75d2-42c5-962d-603e0deaf8d1

record​

The record being processed. The object's keys are the same keys as the records produced by the RecordSelector.

  • type: object

response​

The body of the last response received from the API. The object's keys are the same keys as the response body's.

  • type: object

Examples:

result:
- name: 'Test List: 19'
id: 0236d6d2-75d2-42c5-962d-603e0deaf8d1
contact_count: 20
_metadata:
self: https://api.sendgrid.com/v3/marketing/lists/0236d6d2
_metadata:
self: https://api.sendgrid.com/v3/marketing/lists?page_size=1&page_token=
next: https://api.sendgrid.com/v3/marketing/lists?page_size=1&page_token=0236d6d2
count: 82

creation_response​

The response received from the creation_requester in the AsyncRetriever component.

  • type: object

Examples:

id: '1234'

polling_response​

The response received from the polling_requester in the AsyncRetriever component.

  • type: object

Examples:

id: '1234'

download_target​

The URL received from the polling_requester in the AsyncRetriever with jobStatus as COMPLETED.

  • type: string

Examples:

https://api.sendgrid.com/v3/marketing/lists?page_size=1&page_token=0236d6d2&filename=xxx_yyy_zzz.csv

stream_interval​

The current stream interval being processed. The keys are defined by the incremental sync component. Default keys are start_time and end_time.

  • type: object

Examples:

start_time: '2020-01-01 00:00:00.000+00:00'
end_time: '2020-01-02 00:00:00.000+00:00'

stream_partition​

The current stream partition being processed. The keys are defined by the partition router component.

  • type: object

Examples:

survey_id: 1234
strategy: DESKTOP
survey_id: 1234
strategy: MOBILE

stream_slice​

This variable is deprecated. Use stream_interval or stream_partition instead.

  • type: object

components_values​

The record object produced by the components resolver for which a stream will be generated.

  • type: object

Examples:

name: accounts
id: 1234

property​

page_size​

session_token​

raw_schema​

stream_template_config​